import { CreateContentTypeBuilderInput } from '@modules/content-type-builder/dto/create-content-type-builder.input';
import { UpdateContentTypeBuilderInput } from '@modules/content-type-builder/dto/update-content-type-builder.input';
import { ContentTypeBuilderService } from './content-type-builder.service';
export declare class ContentTypeBuilderController {
    private readonly contentTypeBuilderService;
    constructor(contentTypeBuilderService: ContentTypeBuilderService);
    get(): Promise<Record<string, import("./collation-type").CollationType>>;
    create(createContentTypeBuilderInput: CreateContentTypeBuilderInput): Promise<any>;
    update(uid: string, updateContentTypeBuilderInput: UpdateContentTypeBuilderInput): Promise<void>;
    delete(uid: string): Promise<void>;
}
